namespace MegaRobo.C00225155.Entities.FromWeb
{
    using System;
    using System.Collections.Generic;

    using System.Globalization;
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    /// <summary>
    /// Request
    /// </summary>
    public partial class ConsumableBox
    {
        [JsonProperty("consumable")]
        public List<Consumable> Consumable { get; set; }
    }

    public partial class Consumable
    {
        [JsonProperty("detail")]
        public List<Detail> Detail { get; set; }

        /// <summary>
        /// _40mL原液工装 = 1,_12mL样品工装 = 2,_5mL样品工装 = 3,_2mL外瓶工装 = 4,_滤芯瓶工装 = 5,_16mL粉末瓶工装=6
        /// ,_125mL粉末瓶工装=7 ,_50uLTip头工装= 8,_300uLTip头工装=9 ,_1000uLTip头工装=10
        /// </summary>
        [JsonProperty("fixtureType")]
        public int FixtureType { get; set; }

        /// <summary>
        /// 1~7
        /// </summary>
        [JsonProperty("posInUpload")]
        public int PosInUpload { get; set; }

        /// <summary>
        /// tip余量
        /// </summary>
        [JsonProperty("remainCount")]
        public int RemainCount { get; set; }

        /// <summary>
        /// 载具二维码
        /// </summary>
        [JsonProperty("snCode")]
        public string SnCode { get; set; }
    }

    public partial class Detail
    {
        /// <summary>
        /// 母液或粉末名称
        /// </summary>
        [JsonProperty("code")]
        public string Code { get; set; }

        /// <summary>
        /// 盒中的位置
        /// </summary>
        [JsonProperty("pos")]
        public string Pos { get; set; }

        /// <summary>
        /// 余量（粉末单位mg 液体单位μl）
        /// </summary>
        [JsonProperty("remainWeight")]
        public double RemainWeight { get; set; }
    }
}
